aboutsummaryrefslogtreecommitdiffstats
path: root/main/gdbm/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-23 08:18:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-23 09:48:43 +0000
commit3170330d4a705ff43a0fb9c8040ecb7d402d7770 (patch)
treec76a6706d670582a43f5140372578cbbac5bbef7 /main/gdbm/APKBUILD
parentacc02b2ed81c8624b64584f0135014847fb59f23 (diff)
downloadaports-3170330d4a705ff43a0fb9c8040ecb7d402d7770.tar.gz
aports-3170330d4a705ff43a0fb9c8040ecb7d402d7770.tar.bz2
aports-3170330d4a705ff43a0fb9c8040ecb7d402d7770.tar.xz
main/gdbm: upgrade to 1.10
Diffstat (limited to 'main/gdbm/APKBUILD')
-rw-r--r--main/gdbm/APKBUILD47
1 files changed, 24 insertions, 23 deletions
diff --git a/main/gdbm/APKBUILD b/main/gdbm/APKBUILD
index f967552d36..dd515f5ec7 100644
--- a/main/gdbm/APKBUILD
+++ b/main/gdbm/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gdbm
-pkgver=1.8.3
-pkgrel=5
+pkgver=1.10
+pkgrel=0
pkgdesc="GNU dbm is a set of database routines that use extensible hashing"
url="http://www.gnu.org/software/gdbm/"
arch="all"
@@ -10,37 +10,38 @@ license="GPL"
depends=""
makedepends=""
install=
-subpackages="$pkgname-dev $pkgname-dev"
-source="ftp://ftp.nluug.nl/pub/gnu/gdbm/gdbm-1.8.3.tar.gz
-30-gdbm-1.8.3-build.patch
-20-gdbm-1.8.3-compat-linking.patch
-10-gdbm-1.8.3-fix-install-ownership.patch"
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.nluug.nl/pub/gnu/gdbm/gdbm-$pkgver.tar.gz
+ gdbm-1.10-zeroheaders.patch"
-build() {
- cd "$srcdir/$pkgname-$pkgver"
-
- for i in ../*.patch; do
- msg "Applying $i"
- patch -p0 < $i || return 1
+_builddir="$srcdir"/gdbm-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
done
+}
+build() {
+ cd "$_builddir"
+ # we disable large-file due to it makes the db file non-compat
+ # with gdbm-1.8.3
./configure --prefix=/usr \
- --includedir=/usr/include/gdbm \
+ --enable-libgdbm-compat \
+ --disable-largefile \
--disable-dependency-tracking \
--enable-fast-install
make || return 1
}
package() {
- cd "$srcdir/$pkgname-$pkgver"
- make INSTALL_ROOT="$pkgdir" install || return 1
- make INSTALL_ROOT="$pkgdir" install-compat || return 1
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/*.la || return 1
- mv "${pkgdir}"/usr/include/gdbm/gdbm.h "${pkgdir}"/usr/include/
}
-md5sums="1d1b1d5c0245b1c00aff92da751e9aa1 gdbm-1.8.3.tar.gz
-5e76bc4f51640434e4279e940f6c73fb 30-gdbm-1.8.3-build.patch
-c8e2323a9e075d5c947cb7c7aeae5384 20-gdbm-1.8.3-compat-linking.patch
-4c7b88079898d7cb380e95c8ae99a9f9 10-gdbm-1.8.3-fix-install-ownership.patch"
+md5sums="88770493c2559dc80b561293e39d3570 gdbm-1.10.tar.gz
+ac255b10452005237836cd2d3a470733 gdbm-1.10-zeroheaders.patch"